Method: versions.list

Full name: accounts.containers.versions.list

Lists all Container Versions of a GTM Container.

HTTP request

GET https://tagmanager.googleapis.com/tagmanager/v1/accounts/{accountId}/containers/{containerId}/versions

Path parameters

Parameters
accountId

string

The GTM Account ID.

containerId

string

The GTM Container ID.

Query parameters

Parameters
headers

boolean

Retrieve headers only when true.

includeDeleted

boolean

Also retrieve deleted (archived) versions when true.

Request body

The request body must be empty.

Response body

List container versions response.

If successful, the response body contains data with the following structure:

JSON representation
{
  "containerVersion": [
    {
      object (ContainerVersion)
    }
  ],
  "containerVersionHeader": [
    {
      object (ContainerVersionHeader)
    }
  ]
}
Fields
containerVersion[]

object (ContainerVersion)

All versions of a GTM Container.

containerVersionHeader[]

object (ContainerVersionHeader)

All container version headers of a GTM Container.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/tagmanager.edit.containers
  • https://www.googleapis.com/auth/tagmanager.edit.containerversions
  • https://www.googleapis.com/auth/tagmanager.readonly

For more information, see the OAuth 2.0 Overview.

ContainerVersionHeader

Represents a Google Tag Manager Container Version Header.

JSON representation
{
  "accountId": string,
  "containerId": string,
  "containerVersionId": string,
  "name": string,
  "numTags": string,
  "numTriggers": string,
  "deleted": boolean,
  "numVariables": string
}
Fields
accountId

string

GTM Account ID.

containerId

string

GTM Container ID.

containerVersionId

string

The Container Version ID uniquely identifies the GTM Container Version.

name

string

Container version display name.

numTags

string

Number of tags in the container version.

numTriggers

string

Number of triggers in the container version.

deleted

boolean

A value of true indicates this container version has been deleted.

numVariables

string

Number of variables in the container version.